%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(AppIndicator3

%define	oname	Solaar

# Comment out when not a pre-release
#define prel	rc4

%define rel	2

Name:		solaar
Version:	1.1.14
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Device manager for Logitech's Unifying Receiver
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://pwr-solaar.github.io/Solaar/
Source0:	https://github.com/pwr-Solaar/Solaar/archive/%{version}%{?prel:%prel}/%{oname}-%{version}%{?prel:%prel}.tar.gz
Patch1:		0001-Fix-logo-not-showing-in-about-dialog-box.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	python3dist(pyudev)
Requires:	python3dist(pygobject)
Requires:	python3dist(typing-extensions)

Obsoletes:	python3-hid-parser < 0.0.3-0.git20211206.2

%description
Solaar is a Linux device manager for Logitech’s Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for
each device, and also pair/unpair supported devices with the receiver.

%prep
%autosetup -n %{oname}-%{version}%{?prel:%prel} -p1

# drop unneeded shebangs
sed -i -e '1{/^#!/d}' $(grep -rl '#!\s*/usr' lib)

# create all translations files (solaar.mo) on ./share/locale
sh ./tools/po-compile.sh

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files {hid_parser,hidapi,keysyms,logitech_receiver,solaar}

install -D -m 0644 share/autostart/solaar.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc CHANGELOG.md Release_Notes.md share/README docs
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}-light*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_metainfodir}/io.github.pwr_solaar.solaar.metainfo.xml
%config %{_udevrulesdir}/42-logitech-unify-permissions.rules


%changelog
* Sun Jan 26 2025 daviddavid <daviddavid> 1.1.14-2.mga10
+ Revision: 2142646
- backport upstream PR to fix logo not showing in about dialog box

* Wed Jan 01 2025 daviddavid <daviddavid> 1.1.14-1.mga10
+ Revision: 2134654
- new version: 1.1.14

* Mon Dec 30 2024 daviddavid <daviddavid> 1.1.14-0.rc4.2.mga10
+ Revision: 2131871
- add missing runtime dependency on python3dist(typing-extensions)

* Mon Dec 30 2024 daviddavid <daviddavid> 1.1.14-0.rc4.1.mga10
+ Revision: 2131730
- new version: 1.1.14rc4

* Sun May 12 2024 daviddavid <daviddavid> 1.1.13-1.mga10
+ Revision: 2063821
- new version: 1.1.13

* Sun Apr 28 2024 daviddavid <daviddavid> 1.1.12-1.mga10
+ Revision: 2061415
- new version: 1.1.12

* Tue Apr 16 2024 daviddavid <daviddavid> 1.1.11-2.mga10
+ Revision: 2057989
- solaar works better when the Python package hid-parser is installed
  so let's add it as a needed runtime dependency

* Sun Feb 18 2024 daviddavid <daviddavid> 1.1.11-1.mga10
+ Revision: 2042412
- new version: 1.1.11 (final)

* Wed Feb 14 2024 daviddavid <daviddavid> 1.1.11-0.rc3.1.mga10
+ Revision: 2041197
- new version: 1.1.11rc3

* Tue Feb 13 2024 daviddavid <daviddavid> 1.1.11-0.rc2.1.mga10
+ Revision: 2040753
- new version: 1.1.11rc2

* Sat Feb 10 2024 daviddavid <daviddavid> 1.1.11-0.rc1.1.mga10
+ Revision: 2040108
- new version: 1.1.11rc1

* Tue Jan 16 2024 daviddavid <daviddavid> 1.1.10-3.mga10
+ Revision: 2031444
- rebuild again to remove old pkgs

* Sat Dec 09 2023 wally <wally> 1.1.10-2.mga10
+ Revision: 2016165
- rebuild for py3.12

* Tue Sep 26 2023 daviddavid <daviddavid> 1.1.10-1.mga10
+ Revision: 1990985
- new version: 1.1.10
- add upstream patch to complete French translation

* Sat Jun 17 2023 daviddavid <daviddavid> 1.1.9-2.mga9
+ Revision: 1962262
- update french translation

* Fri Jun 16 2023 squidf <squidf> 1.1.9-1.mga9
+ Revision: 1962115
- New version: 1.1.9
- Update patches
- complete French translation
- switch to pyproject

* Sun Dec 18 2022 squidf <squidf> 1.1.8-1.mga9
+ Revision: 1924968
- New version: 1.1.8
- Update patches
- Add patch to complete french translation

* Wed Nov 16 2022 tv <tv> 1.1.7-2.mga9
+ Revision: 1907920
- Drop unnecessary dependency

* Thu Nov 03 2022 squidf <squidf> 1.1.7-1.mga9
+ Revision: 1902213
- New version: 1.1.7
- Update patches

* Sun Sep 25 2022 squidf <squidf> 1.1.5-1.mga9
+ Revision: 1892224
- New version: 1.1.5

* Mon Jul 04 2022 squidf <squidf> 1.1.4-1.mga9
+ Revision: 1867639
- New version: 1.1.4
- Update solaar-fix-udevrulesdir patch

* Wed Apr 27 2022 wally <wally> 1.1.3-1.mga9
+ Revision: 1854678
- new version 1.1.3

* Sat Apr 02 2022 squidf <squidf> 1.1.2-1.mga9
+ Revision: 1840564
- New version: 1.1.2
- Update file section with python3_sitelib/keysyms
- Update udevrulesdir.patch for new version

* Wed Mar 23 2022 umeabot <umeabot> 1.1.1-5.mga9
+ Revision: 1822265
- Mageia 9 Mass Rebuild

* Thu Feb 10 2022 wally <wally> 1.1.1-4.mga9
+ Revision: 1772866
- rebuild for python3.10

* Sun Jan 09 2022 wally <wally> 1.1.1-3.mga9
+ Revision: 1767397
- drop shebangs from .py files not needing them

* Sun Jan 09 2022 wally <wally> 1.1.1-2.mga9
+ Revision: 1767361
- fix app startup

* Sun Jan 09 2022 wally <wally> 1.1.1-1.mga9
+ Revision: 1767349
- new version 1.1.1

* Sun Oct 17 2021 wally <wally> 1.0.7-1.mga9
+ Revision: 1751996
- new version 1.0.7
- update urls

* Mon Apr 26 2021 daviddavid <daviddavid> 1.0.6-1.mga9
+ Revision: 1719808
- new version: 1.0.6

* Mon Mar 15 2021 wally <wally> 1.0.5-2.mga9
+ Revision: 1703092
- rebuild for python 3.9

* Sat Feb 27 2021 daviddavid <daviddavid> 1.0.5-1.mga9
+ Revision: 1692923
- new version: 1.0.5

* Tue Jan 19 2021 daviddavid <daviddavid> 1.0.4-2.mga8
+ Revision: 1672496
- update French translations

* Sun Oct 25 2020 daviddavid <daviddavid> 1.0.4-1.mga8
+ Revision: 1639204
- new version: 1.0.4

* Mon Aug 03 2020 wally <wally> 1.0.3-3.mga8
+ Revision: 1610814
- filter out 'old' AppIndicator3 requires

* Mon Aug 03 2020 daviddavid <daviddavid> 1.0.3-2.mga8
+ Revision: 1610668
- do not filter out typelib(AyatanaAppIndicator3), it is now available

* Mon Aug 03 2020 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1610666
- new version: 1.0.3

* Fri May 22 2020 daviddavid <daviddavid> 1.0.2-1.mga8
+ Revision: 1586797
- new version: 1.0.2

* Sun May 17 2020 daviddavid <daviddavid> 1.0.2-0.rc3.1.mga8
+ Revision: 1585703
- new version: 1.0.2rc3

* Mon May 11 2020 wally <wally> 1.0.2-0.rc2.2.mga8
+ Revision: 1583201
- exclude Ayatana requires

* Mon May 11 2020 daviddavid <daviddavid> 1.0.2-0.rc2.1.mga8
+ Revision: 1582849
- new version: 1.0.2rc2
+ pterjan <pterjan>
- Undo "fix", it did not make sense...
- Try to fix build

* Tue Mar 17 2020 daviddavid <daviddavid> 1.0.2-0.rc1.1.mga8
+ Revision: 1557358
- new version: 1.0.2-rc1

* Sun Mar 01 2020 wally <wally> 1.0.1-5.git20200222.1.mga8
+ Revision: 1552727
- update to latest git snapshot 20200222

* Wed Nov 20 2019 daviddavid <daviddavid> 1.0.1-5.git20191021.1.mga8
+ Revision: 1461819
- update to latest git snapshot: 1.0.1-git20191021

* Sun Sep 08 2019 wally <wally> 1.0.1-4.mga8
+ Revision: 1438421
- another rebuild for python3.8

* Sun Sep 08 2019 wally <wally> 1.0.1-3.mga8
+ Revision: 1438340
- rebuild for python3.8
- fix all shebangs

* Mon Aug 26 2019 wally <wally> 1.0.1-2.mga8
+ Revision: 1432570
- add patches from upstream
  - fix icon theme for battery level
  - fix battery status notification parsing

* Fri Jul 26 2019 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1424398
- new version: 1.0.1
- add patch to fix version from setup.py file
- new version: 1.0.0 (after 6 years)

* Tue Jul 16 2019 daviddavid <daviddavid> 0.9.2-12.git20190716.1.mga8
+ Revision: 1421890
- update to latest git snapshot: 0.9.2-git20190716

* Thu Mar 21 2019 daviddavid <daviddavid> 0.9.2-12.git20190130.1.mga7
+ Revision: 1379409
- update to latest git snapshot: 0.9.2-git20190130

* Tue Jan 08 2019 tv <tv> 0.9.2-12.git20180813.4.mga7
+ Revision: 1351820
- rebuild with python 3.7

* Mon Jan 07 2019 wally <wally> 0.9.2-12.git20180813.3.mga7
+ Revision: 1350581
- rebuild for python3.7

* Thu Oct 04 2018 daviddavid <daviddavid> 0.9.2-12.git20180813.2.mga7
+ Revision: 1317734
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 daviddavid <daviddavid> 0.9.2-12.git20180813.1.mga7
+ Revision: 1251542
- update to latest git snapshot: 0.9.2-git20180813

* Mon Apr 16 2018 wally <wally> 0.9.2-12.git20180112.1.mga7
+ Revision: 1219371
- update to latest git snapshot: 0.9.2-git20180112

* Sat Aug 05 2017 daviddavid <daviddavid> 0.9.2-12.git20170103.2.mga7
+ Revision: 1135063
- rebuild for new Python 3.6

* Tue Jan 03 2017 daviddavid <daviddavid> 0.9.2-12.git20170103.1.mga6
+ Revision: 1079889
- update to latest git snapshot: 0.9.2-git20170103

* Mon Dec 12 2016 daviddavid <daviddavid> 0.9.2-12.git20161203.1.mga6
+ Revision: 1074353
- update to latest git snapshot: 0.9.2-git20161203
- remove merged upstream patch

* Wed Nov 23 2016 daviddavid <daviddavid> 0.9.2-12.git20161123.1.mga6
+ Revision: 1069490
- update to latest git snapshot: 0.9.2-git20161123
- port to python3
- use new python macros
- update URL
- add French translation on desktop file

* Mon Feb 08 2016 umeabot <umeabot> 0.9.2-11.mga6
+ Revision: 947292
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-10.mga5
+ Revision: 744196
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.2-9.mga5
+ Revision: 730168
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-8.mga5
+ Revision: 689237
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 0.9.2-6.mga4
+ Revision: 548985
- we are now using pygir

* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-5.mga4
+ Revision: 544458
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-4.mga4
+ Revision: 499885
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 08 2013 wally <wally> 0.9.2-3.mga4
+ Revision: 464534
- restore noarch and remove unneeded requires tag as missing requires were fixed in libappindicator

* Thu Aug 08 2013 dams <dams> 0.9.2-2.mga4
+ Revision: 464512
- Remove 'noarch' to fix 'requires' installation

* Wed Aug 07 2013 dams <dams> 0.9.2-1.mga4
+ Revision: 464288
- update to 0.9.2

* Wed Jul 10 2013 dams <dams> 0.9.0-2.mga4
+ Revision: 452304
- add libappindicator3_1 as a require

* Wed Jul 10 2013 dams <dams> 0.9.0-1.mga4
+ Revision: 452296
- new version 0.9.0

* Tue Jun 25 2013 dams <dams> 0.8.99.7-1.mga4
+ Revision: 446571
- new version 0.8.99.7

* Tue Jun 18 2013 dams <dams> 0.8.9.4-1.mga4
+ Revision: 444640
- new version 0.8.9.4
- update specfile

* Mon Jun 10 2013 dams <dams> 0.8.9.2-3.mga4
+ Revision: 441376
- use TAG+="uaccess" instead of non existing/used user group
- rename udev.rules to be done before 73

* Sat Jun 08 2013 dams <dams> 0.8.9.2-2.mga4
+ Revision: 440675
- Adds missing icons (mga#9987)

* Fri Jun 07 2013 dams <dams> 0.8.9.2-1.mga4
+ Revision: 440222
- new version 0.8.9.2
- fix license

* Tue Jun 04 2013 dams <dams> 0.8.9-1.mga4
+ Revision: 436891
- fix specfile for udev rules
- imported package solaar

